Table of Contents

## Name

XCreateRegion, XSetRegion, XDestroyRegion - create or destroy regions

## Syntax

Region XCreateRegion(void);
int XSetRegion(Display *display, GC gc, Region r);
int XDestroyRegion(Region r);

## Arguments

display
  Specifies the connection to the X server.
gc
  Specifies the GC.
r
  Specifies the region.

## Description

The XCreateRegion function creates a new empty region.

The XSetRegion function sets the clip-mask in the GC to the specified region. The region is specified relative to the drawable's origin. The resulting GC clip origin is implementation-dependent. Once it is set in the GC, the region can be destroyed.

The XDestroyRegion function deallocates the storage associated with a specified region.

## See Also

XEmptyRegion(3X11) , XIntersectRegion(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also